post
https://sandbox.saner.secpod.com/AncorWebService/perform
Update details for an existing user.
This method lets you update the details of one or more users in the Saner Server. It requires the IDs of users and all other information to be updated. The key ‘role’ accepts the following values: ACCOUNTADMIN, ORGADMIN, and NORMAL.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| id | ID of the user to be updated. | Yes | string |
| newid | New ID for the user (used to update login ID). | No | string |
| name | Name of the user. | No | string |
| UserGroup | User group for the user. | No | string |
| role | Role of the user (ACCOUNTADMIN, ORGADMIN, NORMAL). | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.User.update(
id="[email protected]",
newid="[email protected]"
)
print(response)
client.close()Requires Python 3.9 or later.